### Home Classes Methods

### In Files

- lib/rye/key.rb

### Parent

RuntimeError

### Methods

- ::new
- #message

### Files

- LICENSE.txt
- README.rdoc

### Class/Module Index

Quicksearch

- Rye
- Rye::Box
- Rye::Box::InstanceExecHelper
- Rye::Cmd
- Rye::CommandNotFound
- Rye::Err
- Rye::Hop
- Rye::Key
- Rye::Key::BadFile
- Rye::Key::BadPerm
- Rye::NoBoxes
- Rye::NoHost
- Rye::NoPassword
- Rye::NoPty
- Rye::NotConnected
- Rye::Rap
- Rye::RyeError
- Rye::Set
- Rye::Tpl
- Rye::VERSION
- Object

No matching classes.

# Rye::Key::BadFile

### Public Class Methods

new(m) click to toggle source

    # File lib/rye/key.rb, line 6
    def initialize(m); @m = m; end

### Public Instance Methods

message() click to toggle source

    # File lib/rye/key.rb, line 7
    def message; "That ain't a no key. #{$/}#{@m}"; end

[Validate]

Generated with the Darkfish Rdoc Generator 2.